Bug 144602 - yum provides does not work correctly
Summary: yum provides does not work correctly
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-09 12:24 UTC by Matthieu Pupat
Modified: 2014-01-21 22:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 02:55:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthieu Pupat 2005-01-09 12:24:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.3) Gecko/20040922

Description of problem:
When I issue a yum provides mod_php, I get and error.

Version-Release number of selected component (if applicable):
yum-

How reproducible:
Always

Steps to Reproduce:
1. type "yum provides php"

  

Actual Results:  Traceback (most recent call last):
  File "/usr/bin/yum", line 8, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 68, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 547, in doCommands
    return self.provides()
  File "/usr/share/yum-cli/cli.py", line 1007, in provides
    matching = self.searchPackageProvides(args, callback=self.matchcallback)
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 807, in searchPackageProvides
    self.repos.populateSack(with='filelists')
  File "/usr/lib/python2.3/site-packages/yum/repos.py", line 211, in populateSack
    dobj = repo.cacheHandler.getFilelists(xml, csum)
  File "/usr/lib/python2.3/site-packages/yum/mdcache.py", line 106, in getFilelists
    return self._getGeneric('filelists', location, checksum)
  File "/usr/lib/python2.3/site-packages/yum/mdcache.py", line 90, in _getGeneric
    databank = self._unpickle(piklfile)
  File "/usr/lib/python2.3/site-packages/yum/mdcache.py", line 62, in _unpickle
    obj = cPickle.load(infh)
EOFError


Expected Results:  List of packages providing mod-php

Additional info:

Comment 1 Seth Vidal 2005-01-10 06:54:20 UTC
Run: yum clean cache

then run yum provides again, thanks.


Note You need to log in before you can comment on or make changes to this bug.